%global priority  59
%global fontname liberation
%global fontconf %{priority}-%{fontname}
%global archivename %{name}-%{version}
%global common_desc %{expand:
The Liberation Fonts are intended to be replacements for the 3 most commonly\
used fonts on Microsoft systems: Times New Roman, Arial, and Courier New.}

%define catalogue %{_sysconfdir}/X11/fontpath.d

Summary:          Fonts to replace commonly used Microsoft Windows fonts
Name:             %{fontname}-fonts
Version:          2.1.5
Release:          6%{?dist}
License:          OFL
URL:              https://github.com/liberationfonts/liberation-fonts
Source0:          %{url}/files/7261483/%{archivename}.tar.gz
Source2:          %{name}-mono.conf
Source3:          %{name}-sans.conf
Source4:          %{name}-serif.conf
Source6:          %{fontname}.metainfo.xml
Source7:          %{fontname}-mono.metainfo.xml
Source8:          %{fontname}-sans.metainfo.xml
Source9:          %{fontname}-serif.metainfo.xml
BuildRequires:    fontpackages-devel mkfontscale mkfontdir fontforge libappstream-glib
BuildRequires:    python3 python3-fonttools make

Requires:         %{fontname}-mono-fonts = %{version}-%{release}
Requires:         %{fontname}-sans-fonts = %{version}-%{release}
Requires:         %{fontname}-serif-fonts = %{version}-%{release}

BuildArch:        noarch

%description
%common_desc

Meta-package of Liberation fonts which installs Sans, Serif, and Monospace families.

%package -n %{fontname}-fonts-common
Summary:          Shared common files of Liberation font families
Requires:         fontpackages-filesystem

%description -n %{fontname}-fonts-common
%common_desc

Shared common files of Liberation font families.

%package -n %{fontname}-mono-fonts
Summary:      Monospace fonts to replace commonly used Microsoft Courier New
Requires:     %{fontname}-fonts-common = %{version}-%{release}

%description -n %{fontname}-mono-fonts
%common_desc

This package provides Monospace TrueType fonts that replace commonly used Microsoft Courier New.

%package -n %{fontname}-sans-fonts
Summary:      Sans-serif fonts to replace commonly used Microsoft Arial
Requires:     %{fontname}-fonts-common = %{version}-%{release}

%description -n %{fontname}-sans-fonts
%common_desc

This package provides Sans-serif TrueType fonts that replace commonly used Microsoft Arial.

%package -n %{fontname}-serif-fonts
Summary:      Serif fonts to replace commonly used Microsoft Times New Roman
Requires:     %{fontname}-fonts-common = %{version}-%{release}

%description -n %{fontname}-serif-fonts
%common_desc

This package provides Serif TrueType fonts that replace commonly used Microsoft Times New Roman.

%prep
%autosetup -n %{archivename}

%build
%make_build
mv liberation-fonts-ttf-%{version}/* .

%install
install -m 0755 -d %{buildroot}%{_fontdir}-mono
install -m 0755 -d %{buildroot}%{_fontdir}-sans
install -m 0755 -d %{buildroot}%{_fontdir}-serif

install -m 0644 -p LiberationMono*.ttf %{buildroot}%{_fontdir}-mono
install -m 0644 -p LiberationSans*.ttf %{buildroot}%{_fontdir}-sans
install -m 0644 -p LiberationSerif*.ttf %{buildroot}%{_fontdir}-serif

install -m 0755 -d %{buildroot}%{catalogue}
ln -s %{_fontdir}-mono %{buildroot}%{catalogue}/%{fontname}-mono-fonts
ln -s %{_fontdir}-sans %{buildroot}%{catalogue}/%{fontname}-sans-fonts
ln -s %{_fontdir}-serif %{buildroot}%{catalogue}/%{fontname}-serif-fonts

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-mono.conf
install -m 0644 -p %{SOURCE3} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans.conf
install -m 0644 -p %{SOURCE4} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif.conf

install -Dm 0644 -p %{SOURCE6} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml
install -Dm 0644 -p %{SOURCE7} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-mono.metainfo.xml
install -Dm 0644 -p %{SOURCE8} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-sans.metainfo.xml
install -Dm 0644 -p %{SOURCE9} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-serif.metainfo.xml

for fconf in %{fontconf}-mono.conf \
             %{fontconf}-sans.conf \
             %{fontconf}-serif.conf; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done

mkfontscale %{buildroot}%{_fontdir}-mono
mkfontscale %{buildroot}%{_fontdir}-sans
mkfontscale %{buildroot}%{_fontdir}-serif
mkfontdir %{buildroot}%{_fontdir}-mono
mkfontdir %{buildroot}%{_fontdir}-sans
mkfontdir %{buildroot}%{_fontdir}-serif

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{fontname}*.metainfo.xml

%files
# blank for main package

%files -n %{fontname}-fonts-common
%license  LICENSE
%doc AUTHORS ChangeLog README.md TODO
%{_datadir}/appdata/liberation.metainfo.xml


%files -n %{fontname}-mono-fonts
%{_fontdir}-mono
%ghost %attr(644, root, root) %{_fontdir}-mono/.uuid 
%{_fontconfig_templatedir}/*-liberation-mono.conf 
%config(noreplace) %{_fontconfig_confdir}/*-liberation-mono.conf 
%{_datadir}/appdata/liberation-mono.metainfo.xml
%{catalogue}/%{fontname}-mono-fonts


%files -n %{fontname}-sans-fonts
%{_fontdir}-sans
%ghost %attr(644, root, root) %{_fontdir}-sans/.uuid 
%{_fontconfig_templatedir}/*-liberation-sans.conf 
%config(noreplace) %{_fontconfig_confdir}/*-liberation-sans.conf 
%{_datadir}/appdata/liberation-sans.metainfo.xml
%{catalogue}/%{fontname}-sans-fonts


%files -n %{fontname}-serif-fonts
%{_fontdir}-serif
%ghost %attr(644, root, root) %{_fontdir}-serif/.uuid 
%{_fontconfig_templatedir}/*-liberation-serif.conf 
%config(noreplace) %{_fontconfig_confdir}/*-liberation-serif.conf 
%{_datadir}/appdata/liberation-serif.metainfo.xml
%{catalogue}/%{fontname}-serif-fonts

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.5-6
- Rebuilt for loongarch release

* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 2.1.5-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.5-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 Shuo Wang <abushwang@tencent.com> - 2.1.5-1
- initial build
